•   
  • 1
  • 2(current)
  • 3
  • 4
  • 5
  • 7
  •   
Linux crash when playing content with VDPAU enabled
#16
(2012-05-15, 20:56)FernetMenta Wrote:
Quote:@fernetmenta: i can't wait to use this new vdpau interface

In this case you can compile from source and report back if it really solves this problem.
http://wiki.xbmc.org/index.php?title=HOW...ian/Ubuntu

Use this repo: git://github.com/FernetMenta/xbmc.git

Been testing with this version for 2 days now. So far, not one freeze, many thanks FernetMenta!
Reply
#17
Could somebody be soooo nice to make a guide HOWTO compile this new vdpau interface?
It would be great to get rid off these nasty hangs from Eden!
I couldn't be so hard and I believe it is a mattter of entering not so many commands in linux console...

PleaseWink
Reply
#18
(2012-05-17, 12:00)haken Wrote: Could somebody be soooo nice to make a guide HOWTO compile this new vdpau interface?
It would be great to get rid off these nasty hangs from Eden!
I couldn't be so hard and I believe it is a mattter of entering not so many commands in linux console...

PleaseWink

$ cd /usr/src/
$ sudo git clone git://github.com/FernetMenta/xbmc.git
$ cd xbmc
$ sudo ./bootstrap; sudo ./configure; sudo make; sudo make install
Image
Reply
#19
You should check README.ubuntu for required packages. Just copy/paste the command. If you run configure and don't have libvdpau-dev, vdpau gets deactivated.
Better run: ./configure --enable-vdpau
configure will fail if libvdpau-dev is not present.
Reply
#20
(2012-05-17, 21:43)FernetMenta Wrote: You should check README.ubuntu for required packages. Just copy/paste the command. If you run configure and don't have libvdpau-dev, vdpau gets deactivated.
Better run: ./configure --enable-vdpau
configure will fail if libvdpau-dev is not present.

Couple of quick questions about those compiling bits...

1 - To compile...is this done on your xbmc HTC machine?
2 - Once the compiling is done, does it auto boot etc?
3 - Does this compile the xbmcbuntu version or something else?
ZOTAC IONITX-D-E Intel Atom N330 Dual Core 1.6 GHz NVIDIA ION with LIVE on SSD
Reply
#21
(2012-05-17, 16:19)thrillerbee Wrote: $ cd /usr/src/
$ sudo git clone git://github.com/FernetMenta/xbmc.git
$ cd xbmc
$ sudo ./bootstrap; sudo ./configure; sudo make; sudo make install

Sorry, but the commands are not working:

[email protected]:/usr/src/xbmc$ sudo ./bootstrap; sudo ./configure --enable-vdpau; sudo make; sudo make install
./bootstrap: 5: autoreconf: not found
sudo: ./configure: command not found
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target `install'. Stop.
Reply
#22
Confused
(2012-05-18, 01:28)TheSane Wrote:
(2012-05-17, 16:19)thrillerbee Wrote: $ cd /usr/src/
$ sudo git clone git://github.com/FernetMenta/xbmc.git
$ cd xbmc
$ sudo ./bootstrap; sudo ./configure; sudo make; sudo make install

Sorry, but the commands are not working:

[email protected]:/usr/src/xbmc$ sudo ./bootstrap; sudo ./configure --enable-vdpau; sudo make; sudo make install
./bootstrap: 5: autoreconf: not found
sudo: ./configure: command not found
make: *** No targets specified and no makefile found. Stop.
make: *** No rule to make target `install'. Stop.

(2012-05-17, 21:43)FernetMenta Wrote: You should check README.ubuntu for required packages. Just copy/paste the command. If you run configure and don't have libvdpau-dev, vdpau gets deactivated.
Better run: ./configure --enable-vdpau
configure will fail if libvdpau-dev is not present.
Reply
#23
@fldc
not sure what you intend to tell us with your last post.
Reply
#24
I believe he is telling you to read the readme.

EDIT: Sorry. Not you FernetMenta but fldc. @TheSane. After you do the get there will be a readme.ubuntu. Follow the steps in there to download all the packages you need. Then follow everything in readme.linux. If you get all those packages your not found errors will go away. As a warning, a couple of the packages you will need to specify a different version than what the default is.
Living Room: Ubuntu 16.10 x64 | BayTrail-M SOC | Krypton | Hitachi 55L6 | Yamaha RX-V665 | 7.1 Polk Surround
Den: RetroPie 4.1 | Raspberry Pi 3 | Krypton | VIZIO XVT553SV
Bedroom: OSMC 2017.02-1 | Raspberry Pi 3 | Krypton | VIZIO E370VA
HP Chromebook 14: Ubuntu 16.04 x64 | Celeron 2955U | Jarvis
NAS: Windows 10 | 20TB on DrivePool | Emby DB | Subsonic | Plex
Reply
#25
@FernetMenta

Any idea when this fix might get pushed to master?
Image
Reply
#26
$ cd /usr/src/
$ sudo git clone git://github.com/FernetMenta/xbmc.git
$ cd xbmc
$ sudo apt-get install git-core make g++ gcc gawk pmount libtool nasm yasm automake cmake gperf zip unzip bison libsdl-dev libsdl-image1.2-dev libsdl-gfx1.2-dev libsdl-mixer1.2-dev libfribidi-dev liblzo2-dev libfreetype6-dev libsqlite3-dev libogg-dev libasound2-dev python-sqlite libglew-dev libcurl3 libcurl4-gnutls-dev libxrandr-dev libxrender-dev libmad0-dev libogg-dev libvorbisenc2 libsmbclient-dev libmysqlclient-dev libpcre3-dev libdbus-1-dev libhal-dev libhal-storage-dev libjasper-dev libfontconfig-dev libbz2-dev libboost-dev libenca-dev libxt-dev libxmu-dev libpng-dev libjpeg-dev libpulse-dev mesa-utils libcdio-dev libsamplerate-dev libmpeg3-dev libflac-dev libiso9660-dev libass-dev libssl-dev fp-compiler gdc libmpeg2-4-dev libmicrohttpd-dev libmodplug-dev libssh-dev gettext cvs python-dev libyajl-dev libboost-thread-dev libplist-dev libusb-dev libudev-dev

at this point you'll get some errors on wrong file numbers. Redo the command and put an equal sign and type in the version number for the files.

$ sudo apt-get install autopoint libltdl-dev
$ sudo apt-get update
$ sudo apt-get build-dep xbmc
$ sudo ./bootstrap
$ sudo ./configure --enable-vdpau
$ make -j2
$ make install DESTDIR=$HOME/xbmc
Living Room: Ubuntu 16.10 x64 | BayTrail-M SOC | Krypton | Hitachi 55L6 | Yamaha RX-V665 | 7.1 Polk Surround
Den: RetroPie 4.1 | Raspberry Pi 3 | Krypton | VIZIO XVT553SV
Bedroom: OSMC 2017.02-1 | Raspberry Pi 3 | Krypton | VIZIO E370VA
HP Chromebook 14: Ubuntu 16.04 x64 | Celeron 2955U | Jarvis
NAS: Windows 10 | 20TB on DrivePool | Emby DB | Subsonic | Plex
Reply
#27
(2012-05-19, 15:22)VanillaXtract Wrote: $ cd /usr/src/
$ sudo git clone git://github.com/FernetMenta/xbmc.git
$ cd xbmc
$ sudo apt-get install git-core make g++ gcc gawk pmount libtool nasm yasm automake cmake gperf zip unzip bison libsdl-dev libsdl-image1.2-dev libsdl-gfx1.2-dev libsdl-mixer1.2-dev libfribidi-dev liblzo2-dev libfreetype6-dev libsqlite3-dev libogg-dev libasound2-dev python-sqlite libglew-dev libcurl3 libcurl4-gnutls-dev libxrandr-dev libxrender-dev libmad0-dev libogg-dev libvorbisenc2 libsmbclient-dev libmysqlclient-dev libpcre3-dev libdbus-1-dev libhal-dev libhal-storage-dev libjasper-dev libfontconfig-dev libbz2-dev libboost-dev libenca-dev libxt-dev libxmu-dev libpng-dev libjpeg-dev libpulse-dev mesa-utils libcdio-dev libsamplerate-dev libmpeg3-dev libflac-dev libiso9660-dev libass-dev libssl-dev fp-compiler gdc libmpeg2-4-dev libmicrohttpd-dev libmodplug-dev libssh-dev gettext cvs python-dev libyajl-dev libboost-thread-dev libplist-dev libusb-dev libudev-dev

at this point you'll get some errors on wrong file numbers. Redo the command and put an equal sign and type in the version number for the files.

$ sudo apt-get install autopoint libltdl-dev
$ sudo apt-get update
$ sudo apt-get build-dep xbmc
$ sudo ./bootstrap
$ sudo ./configure --enable-vdpau
$ make -j2
$ make install DESTDIR=$HOME/xbmc

I will try.

Edit:
[email protected]:/usr/src/xbmc$ sudo apt-get build-dep xbmc
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to find a source package for xbmc

Edit Switched back to Windows, seems a bit more powerfull at the monent. But i will try later again to get it flying on XBMCbuntu.
Reply
#28
(2012-05-15, 20:41)basco Wrote: I'm using Confluence too.
I also regularly have the scenario gmakki decribes.
I made a panic button on my remote to reboot the set when this happens Smile

@fernetmenta: i can't wait to use this new vdpau interface.

What didn't help for me is installing x-swat or edgers... i got the same error + some additional ones Wink

Could you explain how please? I would be very interested in that temporary solution.
Reply
#29
i use lirc with my remote
lirc works with sockets
i've written a pers script that listens on a lirc socket for a remote button.
when this button is sent (pressed), the perl script 'sudo reboot's
Reply
#30
(2012-05-21, 17:14)basco Wrote: i use lirc with my remote
lirc works with sockets
i've written a pers script that listens on a lirc socket for a remote button.
when this button is sent (pressed), the perl script 'sudo reboot's

I could be wrong, but if you are referring to the crash in this thread then there is no need to restart the system, just XBMC. I think instead of "sudo reboot" you could do "sudo service lightdm restart" ?
Reply
  •   
  • 1
  • 2(current)
  • 3
  • 4
  • 5
  • 7
  •   
 
Thread Rating:
  • 1 Vote(s) - 5 Average



Logout Mark Read Team Forum Stats Members Help
crash when playing content with VDPAU enabled51